/* CSS Document */
body {
	/*margin-top: 50px;*/
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover; 
	background-position: top center;
	/*background-color: #F9E8AE;*/
	background-color: #E7F7F7;
}
.portalbody { }
.portalbody-on { margin-top: 50px; }
.portalbody-off { margin-top: 0px; }

img.lookupbuttonclass {	
	background: url(images/lookupcombo.gif) no-repeat center;	
	width: 15px;	
	height: 18px;	
	border: 0px; 
	background-position: top; 
}
img.lookupbuttonclass :hover { 	
	background-position: center; 
}
img.ui-lookupbuttonclass-hover {
	background-position: center; 
}

img.ui-combobox-arrow {
	position: relative;
	vertical-align: text-bottom;
	top: 2px;
}

* html img.ui-combobox-arrow {
	top: -3px;
}

.ui-combobox-list {
	border: 1px solid black;
}

.ui-combobox-list, .ui-combobox-item {
	display: block;
	font-family: sans-serif;
	font-size:  12px;
	background-color: white; 
	text-align: left;
}

.ui-combobox-list .selected {
	background-color: #eeeeff;
	border-top: 1px solid blue;
	border-bottom: 1px solid blue;
	/*font-weight: bold;*/
	cursor: pointer;
}
.status { margin-top: 0px; }
#statuslayer { text-align: center; margin-top: 5px; margin-bottom: 5px; /*height: 50px;*/ }

/* TSO added */

input:focus,
textarea:focus,
select:focus,
label:active + input,
label:active + textarea {
	outline: none;
	border: 2px solid #31bc86;
}

.font-bold { font-weight: bold; }

.portal-pager-light {
	background-color: #FEDC67;
	background-image: -webkit-linear-gradient(white, #E8C756);
	background-image: -moz-linear-gradient(white, #E8C756);
	background-image: -o-linear-gradient(white, #E8C756);
	background-image: linear-gradient(white, #E8C756);
}
.portal-pager-dark {
	background: -webkit-gradient(radial, center center, 0, center center, 460, from(#FEDC67), to(#5B460F));
	background: -webkit-radial-gradient(circle, #FEDC67, #5B460F );
	background: -moz-radial-gradient(circle, #FEDC67, #5B460F);
	background: -ms-radial-gradient(circle, #FEDC67, #5B460F);	
}
.portal-pager {
	margin-left: 3px;
	margin-right: 5px;
	padding-top: 3px;
	background-color: ghostwhite;
	/*background-color: whitesmoke;*/
	/*background-color: gainsboro;*/
	/*background-color: lightgray;*/
	/*background-color: silver;*/
	/*background-color: lightsteelblue;*/
	border-color: 2px solid darkgray;
}
.portal-pager-sub {
	background-color: lightgray;
}
.portal-area {
	background-color: ghostwhite;
	/*background-color: whitesmoke;*/
	border-color: 2px solid darkgray;
}
.portal-area-sub {
	background-color: lightgray;
}

.btn-base {
	color: #555555;
	border: 1px solid #767575;
	background: #e6e6e6 url(jquery/themes/base/images/ui-bg_glass_75_e6e6e6_1x400.png) 50% 50% repeat-x;
	min-width: 90px;
}
.btn-base:hover,
.btn-base:focus,
.btn-base:active,
.btn-base.active,
.open > .dropdown-toggle.btn-base {
 color: #212121; 
 font-weight: normal; 
 border: 1px solid #999999; 
 background: #dadada url(jquery/themes/base/images/ui-bg_glass_75_dadada_1x400.png) 50% 50% repeat-x; 
}

.btn-spot {
	color: #FFFFFF;
	border: 1px solid #028575;
	background-color: #028575;		
	width: 90px;
}
.btn-spot:hover,
.btn-spot:focus,
.btn-spot:active,
.btn-spot.active,
.open > .dropdown-toggle.btn-spot {
 background-color: #00B29D;
 font-weight: normal; 
 color: #FFFFFF;
}

.btn-dark {
	color: #FFFFFF;
	/*border: 1px solid #2F4F4F;
	background-color: #2F4F4F;*/
	/*border: 1px solid #008B8B;
	background-color: #008B8B;*/
	border: 1px solid #028575;
	background-color: #028575;	
	width: 90px;
}
.btn-dark:hover,
.btn-dark:focus,
.btn-dark:active,
.btn-dark.active,
.open > .dropdown-toggle.btn-dark {
 background-color: #00B29D;
 font-weight: normal; 
 color: #FFFFFF;
}

.btn-primary {
	color: #FFFFFF;
	/*border: 1px solid #008B8B;
	background-color: #008B8B;*/
	border: 1px solid #028575;
	background-color: #028575;	
}
.btn-primary:hover,
.btn-primary:focus,
.btn-primay:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary {
	background-color: #00B29D;
	font-weight: normal; 
	color: #FFFFFF;	
}
/* override theme bootstrap
.form-control:focus {
  border-color: #FFCC66;
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(254, 206, 110, .6);
          box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(254, 206, 110, .6);
}
*/
.portal-area-layer { padding-bottom: 2px; }
.portal-table { background-color: ghostwhite; }
.portal-table thead tr { height: 30px; }
.portal-table th { 
	background-color: silver; 
	background-color: #AEA38F; 
	color: black; 
}
.protection-error { 
	margin: 10px; 
	min-height: 250px; 
	background-color: ghostwhite;
	/*background-color: whitesmoke;*/ 
}
.protection-error-internal { 
	padding-top: 100px; 
	color:red; 
	font-weight: bold; 
	text-align: center; 
}

input.idecimal { text-align: right; }

a.pageselectedclass { background-color: #2F4F4F; }
.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
	/*background-color: #2F4F4F;
	border-color: #2F4F4F;*/
	/*background-color: #008B8B;
	border-color: #008B8B;*/
	background-color: #00B29D;
	border-color: #00B29D;
}
.table-striped > tbody > tr:nth-child(even) > td,
.table-striped > tbody > tr:nth-child(even) > th {
  /*background-color: #F8EECD;*/
  background-color: #DEF9FA;
}

a.alink-sorter { color: white; cursor: pointer; }
a.alink-sorter label { cursor: pointer; }
a.alink-data { color: black; cursor: pointer; }

.btn-edit {
	background-image: url(../img/ic_edit.png);
	background-repeat: no-repeat;
	background-color: transparent;
	width: 17px;
	height: 17px;
	border: 0px;
	cursor: pointer;
	outline: 0;
	background-size: 17px 17px;
	margin: 3px;
}

.btn-edit:hover {
	background-image: url(../img/ic_edit_hover.png);
	background-repeat: no-repeat;
	background-color: transparent;
}

.btn-edit:active {
	background-image: url(../img/ic_edit.png);
	background-repeat: no-repeat;
	background-color: transparent;
}

.btn-edit:disabled {
	background-image: url(../img/ic_edit_hover.png);
	background-repeat: no-repeat;
	background-color: transparent;
}

.btn-delete {
	background-image: url(../img/ic_trash.png);
	background-repeat: no-repeat;
	background-color: transparent;
	width: 16px;
	height: 16px;
	border: 0px;
	cursor: pointer;
	outline: 0;
	background-size: 16px 16px;
	margin: 3px;
}

.btn-delete:hover {
	background-image: url(../img/ic_trash_hover.png);
	background-repeat: no-repeat;
	background-color: transparent;
}

.btn-delete:active {
	background-image: url(../img/ic_trash.png);
	background-repeat: no-repeat;
	background-color: transparent;
}

.btn-delete:disabled {
	background-image: url(../img/ic_trash_hover.png);
	background-repeat: no-repeat;
	background-color: transparent;
}
.btn-view {
	background-image: url(../img/ic_view.png);
	background-repeat: no-repeat;
	background-color: transparent;
	width: 17px;
	height: 17px;
	border: 0px;
	cursor: pointer;
	outline: 0;
	background-size: 17px 17px;
	margin: 3px;
}

.btn-view:hover {
	background-image: url(../img/ic_view_hover.png);
	background-repeat: no-repeat;
	background-color: transparent;
}

.btn-view:active {
	background-image: url(../img/ic_view.png);
	background-repeat: no-repeat;
	background-color: transparent;
}

.btn-view:disabled {
	background-image: url(../img/ic_view_hover.png);
	background-repeat: no-repeat;
	background-color: transparent;
}

.row-height {
	margin-top: 2px;
	margin-bottom: 5px;
}

.fsx_combo_input{
	border-style: none;	
}
.fsx_combo_box{
	text-align: left;
	/*height: 22px;*/
	min-height: 22px;
	overflow: hidden;
    background-color: white;
	/*border: 1px solid #7F9DB9;*/
	padding: 3px 1px 3px 2px;
}
.filter-layer { margin-right:3px; }
.entry-layer { margin-left: 5px; margin-right:10px;}
.sub-entry-layer { margin-left: 0px; margin-right:3px; }
.panel-body { padding-top: 1px; }
div.col-label { text-align: left; padding-top: 10px; }
@media (min-width: 1000px) {
	div.col-label {
		text-align: right;
	}
}
#entrypanel { width:99.8%; }
.pt-page-controller { width: 99.8%; }

/* record set - input dialog */
.recordset-detail-class { margin-left: 15px; }
.recordset-layer-class > div > table { width: 80%; }
.recordset-layer-class > div > table tr td:first-child { white-space: nowrap; }
.recordset-layer-class > div > table tr td { height: 40px; }
table.recordset-table-class { width: 80%;}
table.recordset-table-class tr td:first-child { white-space: nowrap; }
table.recordset-table-class tr td { height: 40px; }
.ul-table-listing > li:nth-child(2n+1) { background: #F9F9F9; }
.ul-table-listing > li:nth-child(2n) { background: #DEF9FA; }

.mce-primary button {
	color: #FFFFFF;
	border: 1px solid #028575;
	background-color: #028575;		
}
.mce-primary button:hover,
.mce-primary button:focus,
.mce-primary button:active,
.mce-primary button.active,
.open > .dropdown-toggle.mce-primary {
	 background-color: #00B29D;
	 font-weight: normal; 
	 color: #FFFFFF;
}
.entry-dialog-layer { margin-left: 15px; margin-right: 5px;}

.ui-widget-overlay {
  opacity: 0.0;
  filter: Alpha(Opacity=0);
  background-color: white;
}
/*fixed disabled auto scroll on bootstrap modal dialog after second dialog hidden*/
.modal { overflow: auto !important; }

/* date picker style in case of read only but editable */
.idate[editable] {
	background-color: #ffffff;
}			
.iinput[readonly] {
	background-color: #eeeeee;
}
table.partition-table { background-color: #028575; }
